extends layout 
block content
  form.container-sm.mb-3
    .row
      .col
        .input-group.input-group-sm
          label.input-group-text(for="mno_select") Select MNO:
          select#mno_select.form-select.form-select-sm(name='mno')
            option(disabled='' selected='' value='')
            option(value='WindTre') WindTre
            option(value='Iliad') Iliad
            option(value='Vodafone') Vodafone
            option(value='TIM') TIM
      .col
        .input-group.input-group-sm
          span#lat_input_label.input-group-text Lat:
          input#lat_input.col-sm.form-control.form-control-sm(type="text" name="lat" value=set_lat aria-describedby="#lat_input_label")
      .col
        .input-group.input-group-sm
          span#lat_input_label.input-group-text Lat:
          input#lon_input.col-sm.form-control.form-control-sm(type="text" name="lon" value=set_lon aria-describedby="#lon_input_label")
      .col 
        input.btn.btn-primary.btn-sm(formaction='/filter' type='submit' value='Show on map')
      .col 
        input.btn.btn-secondary.btn-sm(formaction='/data' type='submit' value='Get data')
  //- form(action="/filter")
  //-   input(type="submit" value="Set lat and lon")  
  #map(style="padding:10px").mb-3
  .container 
    .row 
      .col.col-sm#band_stats
        table#stats.table.table-striped.table-sm
          tr
            th(scope="col") Band
            th(scope="col") Arfcn
            th(scope="col") Frequency [mHz]
            th(scope="col") theor. max. speed [mBit/s]
            th(scope="col") max. range [km]
            th(scope="col") act. max. speed [mBit/s]
      .col.col-sm#bts_stats
        h4 Site stats: <br>
        | <b> Site name: </b> <span id="site_name"></span> <br>
        | <b> Distance from position: </b> <span id="dist"></span> km <br>
        | <b> Maximum speed: </b> <span id="speed"></span> mbit/s <br>
        | <b> Visible from position? </b> <span id="visibility"></span> <br>
        | <b> Lte Italy link: </b> <a id="link_lteItaly" target="_blank"></a> 

  script.
    const res_mno = "!{mno.toString()}";
    const myData = !{JSON.stringify(jsonData)};
    const res_lat = !{set_lat.toString()};
    const res_lon = !{set_lon.toString()};
    const res_z = !{z.toString()};
    const res_zoom = !{zoom.toString()};

  script(src="/js/map.js") 